LibreOffice: XMetricField Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMetricField Interface Reference

gives access to the value and formatting of a metric field. More...

Inheritance diagram for XMetricField:

## Public Member Functions
void | setValue ([in] hyper Value, [in] short FieldUnit)
| sets the value which is displayed in the metric field.
void | setUserValue ([in] hyper Value, [in] short FieldUnit)
| sets the user value which is displayed in the metric field.
hyper | getValue ([in] short FieldUnit)
| returns the value which is currently displayed in the metric field.
hyper | getCorrectedValue ([in] short FieldUnit)
| returns the corrected value which is displayed in the metric field.
void | setMin ([in] hyper Value, [in] short FieldUnit)
| sets the minimum value that can be entered by the user.
hyper | getMin ([in] short FieldUnit)
| returns the currently set minimum value that can be entered by the user.
void | setMax ([in] hyper Value, [in] short FieldUnit)
| sets the maximum value that can be entered by the user.
hyper | getMax ([in] short FieldUnit)
| returns the currently set maximum value that can be entered by the user.
void | setFirst ([in] hyper Value, [in] short FieldUnit)
| sets the first value to be set on POS1 key.
hyper | getFirst ([in] short FieldUnit)
| returns the currently set first value which is set on POS1 key.
void | setLast ([in] hyper Value, [in] short FieldUnit)
| sets the last value to be set on END key.
hyper | getLast ([in] short FieldUnit)
| returns the currently set last value which is set on END key.
void | setSpinSize ([in] hyper Value)
| sets the increment value for the spin button.
hyper | getSpinSize ()
| returns the currently set increment value for the spin button.
void | setDecimalDigits ([in] short nDigits)
| sets the number of decimals.
short | getDecimalDigits ()
| returns the currently set number of decimals.
void | setStrictFormat ([in] boolean bStrict)
| determines if the format is checked during user input.
boolean | isStrictFormat ()
| returns whether the format is currently checked during user input.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the value and formatting of a metric field.

## Member Function Documentation

## ◆ getCorrectedValue()

hyper getCorrectedValue | ( | [in] short | FieldUnit | ) |

returns the corrected value which is displayed in the metric field.

## ◆ getDecimalDigits()

short getDecimalDigits | ( |  | ) |

returns the currently set number of decimals.

## ◆ getFirst()

hyper getFirst | ( | [in] short | FieldUnit | ) |

returns the currently set first value which is set on POS1 key.

## ◆ getLast()

hyper getLast | ( | [in] short | FieldUnit | ) |

returns the currently set last value which is set on END key.

## ◆ getMax()

hyper getMax | ( | [in] short | FieldUnit | ) |

returns the currently set maximum value that can be entered by the user.

## ◆ getMin()

hyper getMin | ( | [in] short | FieldUnit | ) |

returns the currently set minimum value that can be entered by the user.

## ◆ getSpinSize()

hyper getSpinSize | ( |  | ) |

returns the currently set increment value for the spin button.

## ◆ getValue()

hyper getValue | ( | [in] short | FieldUnit | ) |

returns the value which is currently displayed in the metric field.

## ◆ isStrictFormat()

boolean isStrictFormat | ( |  | ) |

returns whether the format is currently checked during user input.

## ◆ setDecimalDigits()

void setDecimalDigits | ( | [in] short | nDigits | ) |

sets the number of decimals.

## ◆ setFirst()

void setFirst | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the first value to be set on POS1 key.

## ◆ setLast()

void setLast | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the last value to be set on END key.

## ◆ setMax()

void setMax | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the maximum value that can be entered by the user.

## ◆ setMin()

void setMin | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the minimum value that can be entered by the user.

## ◆ setSpinSize()

void setSpinSize | ( | [in] hyper | Value | ) |

sets the increment value for the spin button.

## ◆ setStrictFormat()

void setStrictFormat | ( | [in] boolean | bStrict | ) |

determines if the format is checked during user input.

## ◆ setUserValue()

void setUserValue | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the user value which is displayed in the metric field.

## ◆ setValue()

void setValue | ( | [in] hyper | Value,
|  | [in] short | FieldUnit
| ) |  |

sets the value which is displayed in the metric field.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMetricField.idl